%global minorversion 1.2
%global _hardened_build 1

Name:           xfce4-cpufreq-plugin
Version:        1.2.8
Release:        1
Summary:        CPU frequency scaling plugin for the Xfce4 panel 
License:        GPLv2+
URL:            http://goodies.xfce.org/projects/panel-plugins/xfce4-cpufreq-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{name}/%{minorversion}/%{name}-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc-c++
BuildRequires:  libxfce4ui-devel
BuildRequires:  xfce4-panel-devel
BuildRequires:  intltool

Requires:       xfce4-panel

%description
This plugin shows in the Xfce Panel the following information:
    current CPU frequency
    current used governor

In a separate dialog it provides you following information:
    all available CPU frequencies
    all available governors
    used driver for the CPU

%prep
%autosetup

%build
%configure
%make_build

%install
%make_install

%find_lang %{name}

find %{buildroot} -name \*.la -exec rm {} \;

chmod -c +x %{buildroot}%{_libdir}/xfce4/panel/plugins/*.so

%files -f %{name}.lang
%doc AUTHORS ChangeLog NEWS
%license COPYING
%{_libdir}/xfce4/panel/plugins/libcpufreq.so
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/xfce4/panel/plugins/cpufreq.desktop

%changelog
* Wed Jan 04 2023 misaka00251 <liuxin@iscas.ac.cn> - 1.2.8-1
- Update to 1.2.8

* Mon Jun 20 2022 zhanglin <lin.zhang@turbolinux.com.cn> - 1.2.7-1
- Update to 1.2.7

* Fri Jun 18 2021 zhanglin <lin.zhang@turbolinux.com.cn> - 1.2.5-1
- Update to 1.2.5

* Tue Jul 14 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 1.2.1-1
- Init package
